Update Member Role
put
/v1/orgs/{org_id}/members/{user_id}Part of Org Members.
Requires admin or owner role. Owner promotion/demotion requires a dedicated ownership transfer workflow.
Authentication
Authenticate in any one of these ways — not all of them:
- API key in the
X-API-Keyheader. - Bearer token in the
Authorizationheader.
Path parameters
| Name | Type | Description |
|---|---|---|
org_idrequired | string | Org Id |
user_idrequired | string | User Id |
Request body
Required, application/json.
| Field | Type | Description |
|---|---|---|
rolerequired | OrgRole | One of: |
Example request
curl
curl -X PUT "https://api.robosystems.ai/v1/orgs/{org_id}/members/{user_id}" \
-H "X-API-Key: $ROBOSYSTEMS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"role": "string"
}'Responses
200 Successful Response
| Field | Type | Description |
|---|---|---|
user_idrequired | string | |
namerequired | string | |
emailrequired | string | |
rolerequired | OrgRole | One of: |
joined_atrequired | string (date-time) | |
is_activerequired | boolean |
| Status | Meaning |
|---|---|
| 400 | Invalid request |
| 401 | Authentication required |
| 403 | Access denied |
| 404 | Resource not found |
| 422 | Validation Error |
| 429 | Rate limit exceeded |
| 500 | Internal server error |